.side-left{
    position: fixed;
    left: 0;
    bottom: 0;
    top: 50px;
    width: 100px;
    // padding: 0 15px;
    background: linear-gradient(0deg, #222222, #222222), #FFFFFF;
    box-shadow: 1px 0px 0px rgba(17, 17, 17, 0.7);
    z-index: 9;
    ul{
        margin: 0;
        padding: 0;
        list-style: none;
        li{
            padding: 0 15px;
            .editor-option{
                position: relative;
                text-decoration: none;
                display: block;
                position: relative;
                text-align: center;
                font-family: Roboto;
                font-style: normal;
                font-weight: normal;
                font-size: 12px;
                line-height: 14px;
                text-align: center;
                color: #999999;
                padding: 15px 5px;
                cursor: pointer;
                transition: all 0.2s;
                &::before{
                    content: "";
                    position: absolute;
                    bottom: 0;
                    left: 0;
                    right: 0;
                    transform: translateY(-50%);
                    border: 1px solid #111111;
                    box-shadow: 0px 1px 0px rgba(196, 196, 196, 0.03);
                }
                &::after{
                    content: '';
                    position: absolute;
                    top: 50%;
                    right: -20px;
                    width: 0;
                    height: 0;
                    border-top: 8px solid transparent;
                    border-bottom: 8px solid transparent;
                    border-right: 12px solid #444444;
                    transform: translateY(-50%);
                    z-index: 9;
                    display: none;
                }
                span{
                    display: block;
                    margin-top: 9px;
                }
                &:hover{
                    color: white;
                    transition: all 0.2s;
                    .svg-fill{
                        path{
                            fill: white;
                        }
                    }
                    .svg-stroke{
                        path{
                            stroke: white;
                        }
                    }
                }
            }
            .editor-option.active{
                &::after{
                    display: block;
                }
            }
            .box-dropdown{
                position: absolute;
                top: 0;
                left: 100%;
                background: #444444;
                height: 100%;
                width: 150px;
                padding: 0 15px;
                // display: none;
                z-index: 51;
                .widg-box{
                    &:last-child{
                        border-bottom: none;
                    }
                }
            }
            .text-editor{
                .head-bdd{
                    padding: 0 15px;
                    .head-ct{
                        padding:  15px 0;
                        border-bottom: 1px solid #333333;
                    }
                    
                }
                .body-bdd{
                    padding: 15px 7px 15px 15px;
                }
            }
            // &:hover{
            //     .box-dropdown{
            //         display: block;
            //     }
            //     .editor-option{
            //         &::after{
            //             display: block;
            //         }
            //     }
            // }
        }
    }
}
.widg-box{
    border-bottom: 1px solid #333333;
    padding: 15px 0;
    .btn-add-text{
        background: #333333;
        border: 1px solid #666666;
        box-sizing: border-box;
        border-radius: 4px;
        outline: none;
        box-shadow: none;
        padding: 11px 13px;
        display: flex;
        align-items: center;
        font-family: Roboto;
        font-style: normal;
        font-weight: normal;
        font-size: 11px;
        line-height: 13px;
        color: #999999;
        cursor: pointer;
        transition:  all 0.2s;
        svg{
            margin-right: 6px;
            path{
                transition:  all 0.2s;
            }
        }
        &:hover{
            border-color: white;
            color: white;
            transition:  all 0.2s;
            svg{
                path{
                    fill: white;
                    transition:  all 0.2s;
                }
            }
        }
    }
    .text-concept{
        .title{
            font-family: Roboto;
            font-style: normal;
            font-weight: normal;
            font-size: 11px;
            line-height: 13px;
            color: #999999;
            margin-bottom: 12px;
        }
        .list-item{
            .item{
                margin-bottom: 10px;
            }
            max-height: 75vh;
            overflow-y: auto;
            &::-webkit-scrollbar {
                width: 4px;
            }
               
            &::-webkit-scrollbar-track {
                
            }
            
            &::-webkit-scrollbar-thumb {
                background: #333333;
                border-radius: 2px;
            }
        }
    }
    .form-group{
        background: transparent;
        border: 1px solid #666666;
        border-radius: 4px;
        position: relative;
        .icon{
            position: absolute;
            top: 50%;
            left: 20%;
            transform: translateY(-50%);
        }
        .form-control{
            border: none;
            background: transparent;
            border-radius: 4px;
            font-family: Roboto;
            font-style: normal;
            font-weight: normal;
            font-size: 10px;
            line-height: 12px;
            height: 24px;
            color: #999999;
            outline: none;
            box-shadow: none;
            padding-left: 5px;
            padding-right: 5px;
            margin-left: 15px;
            width: 100%;
            transition: ease-out 0.2s;
            &::placeholder{
                font-family: Roboto;
                font-style: normal;
                font-weight: normal;
                font-size: 10px;
                line-height: 12px;
                height: 24px;
                color: #999999;
                padding-left: 20px;
            }
            &:focus~.icon{
                left: 5px;
                transition: ease-out 0.2s;
            }
        }
    }
    .widg-accodition{
        margin-bottom: 15px;
        .btn-toogle{
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 7px;
            background: #333333;
            border: 1px solid #666666;
            box-sizing: border-box;
            border-radius: 4px;
            width: 100%;
            font-family: Roboto;
            font-style: normal;
            font-weight: normal;
            font-size: 10px;
            line-height: 12px;
            color: #999999;
            outline: none;
            cursor: pointer;
            margin-bottom: 15px;
            transition: all 0.2s;
            svg{
                path{
                    transition: all 0.2s;
                }
            }
            &:hover{
                border-color: white;
                color: white;
                transition: all 0.2s;
                svg{
                    path{
                        stroke: white;
                        transition: all 0.2s;
                    }
                }
            }
        }
        .acc-content{
            .list-icon{
                display: flex;
                flex-wrap: wrap;
                justify-content: space-between;
                .icon{
                    background: #C8C8C8;
                    border-radius: 4px;
                    position: relative;
                    width: 32px;
                    height: 32px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    margin-bottom: 12px;
                    cursor: pointer;
                    img{
                        max-width: 100%;
                    }
                }
            }
            .view-more{
                text-align: center;
                a{
                    display: block;
                    font-family: Roboto;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 9px;
                    line-height: 11px;
                    color: #111111;
                    transition: all 0.2s;
                    &:hover{
                        color: white;
                        transition: all 0.2s;
                    }
                }
            }
        }
    }
    .bg-concept{
        .title{
            font-family: Roboto;
            font-style: normal;
            font-weight: normal;
            font-size: 11px;
            line-height: 13px;
            color: #999999;
            margin-bottom: 12px;
        }
        .list-item{
            display: flex;
            flex-wrap: wrap;
            .color-item{
                width: 24px;
                height: 24px;
                margin-bottom: 8px;
                background-color: black;
                margin-right: 8px;
                cursor: pointer;
                &:nth-child(4n){
                    margin-right: 0;
                }
            }
            .add-color-new{
                display: block;
                background-color: transparent;
                border: 1.2px dashed #888888;
                box-sizing: border-box;
                border-radius: 2px;
                display: flex;
                align-items: center;
                justify-content: center;
                transition: 0.2s ease-out;
                svg{
                    path{
                        transition: 0.2s ease-out;
                    }
                }
                a{
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    width: 100%;
                    height: 100%;
                }
                &:hover{
                    border-color: white;
                    svg{
                        path{
                            stroke: white;
                            transition: 0.2s ease-out;
                        }
                    }
                }
            }
            max-height: 100px;
            overflow-y: auto;
            &::-webkit-scrollbar {
                width: 4px;
            }
               
            &::-webkit-scrollbar-track {
                
            }
            
            &::-webkit-scrollbar-thumb {
                background: #333333;
                border-radius: 2px;
            }
        }
        .btn-upload{
            width: 100%;
            border: 1px solid #666666;
            box-sizing: border-box;
            border-radius: 4px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: Roboto;
            font-style: normal;
            font-weight: normal;
            font-size: 11px;
            line-height: 13px;
            color: #999999;
            padding: 5px 20px;
            background: transparent;
            outline: none;
            box-shadow: none;
            cursor: pointer;
            margin-bottom: 15px;
            svg{
                margin-right: 6px;
            }
            &:hover{
                color: white;
                border-color: white;
                transition: ease-out 0.2s;
                svg{
                    path{
                        fill: white;
                        transition: ease-out 0.2s;
                    }
                }
            }
        }
        .list-bgi{
            display: flex;
            flex-wrap: wrap;
            margin-right: -5px;
            margin-left: -5px;
            max-height: 340px;
            overflow: auto;
            &::-webkit-scrollbar {
                width: 4px;
            }
               
            &::-webkit-scrollbar-track {
                
            }
            
            &::-webkit-scrollbar-thumb {
                background: #333333;
                border-radius: 2px;
            }
            .item{
                position: relative;
                width: 100%;
                padding: 5px;
                flex: 0 0 50%;
                max-width: 50%;
                a{
                    position: relative;
                    display: block;
                    overflow: hidden;
                    &::before{
                        content: '';
                        display: block;
                        padding-bottom: 100%;
                    }
                    img{
                        max-width: 100%;
                        display: block;
                        position: absolute;
                        width: 100%;
                        height: 100%;
                        top: 0;
                        left: 0;
                    }
                }
            }
        }
    }
}
@keyframes fadeIn {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
}
.fade-in {
    background-color: red;
    animation: fadeIn 0.5s ease-in;
}